List patients
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patients \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"patient_number": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>",
"status": "<string>",
"clinics": [
{
"id": 123,
"branch_id": 123,
"department_id": 123,
"name": "<string>",
"code": "<string>",
"supports_outpatient": true,
"supports_inpatient": true,
"is_active": true,
"is_primary": true
}
],
"coverages": [
{
"id": 123,
"payer_type_id": 123,
"payer_id": 123,
"payer_scheme_id": 123,
"payer_type": {},
"payer": {},
"scheme": {},
"membership_number": "<string>",
"principal_member_name": "<string>",
"relationship_to_principal": "<string>",
"starts_at": "2023-12-25",
"expires_at": "2023-12-25",
"is_primary": true,
"is_active": true
}
]
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123,
"from": 123,
"to": 123
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Overview
List patients
List patients visible through the authenticated user’s clinic assignments.
GET
/
patients
List patients
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patients \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"patient_number": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>",
"status": "<string>",
"clinics": [
{
"id": 123,
"branch_id": 123,
"department_id": 123,
"name": "<string>",
"code": "<string>",
"supports_outpatient": true,
"supports_inpatient": true,
"is_active": true,
"is_primary": true
}
],
"coverages": [
{
"id": 123,
"payer_type_id": 123,
"payer_id": 123,
"payer_scheme_id": 123,
"payer_type": {},
"payer": {},
"scheme": {},
"membership_number": "<string>",
"principal_member_name": "<string>",
"relationship_to_principal": "<string>",
"starts_at": "2023-12-25",
"expires_at": "2023-12-25",
"is_primary": true,
"is_active": true
}
]
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123,
"from": 123,
"to": 123
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Returns a paginated patient collection. The default page size is 25.
Authorizations
Paste a Sanctum personal access token generated by a HMIS super administrator. Use only a token with the ability required by the selected operation.
Query Parameters
Required range:
x >= 1⌘I